## com.baidubce.services.sms.model
Class GetTemplateDetailResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.sms.model.SmsResponse
              com.baidubce.services.sms.model.GetTemplateDetailResponse

    public class GetTemplateDetailResponse

extends SmsResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetTemplateDetailResponse()`

Method Summary
`String` `getContent()`
`Date` `getCreateTime()`
`String` `getName()`
`String` `getStatus()`
`String` `getTemplateId()`
`Date` `getUpdateTime()`
`void` `setContent(String content)`
`void` `setCreateTime(Date createTime)`
`void` `setName(String name)`
`void` `setStatus(String status)`
`void` `setTemplateId(String templateId)`
`void` `setUpdateTime(Date updateTime)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetTemplateDetailResponse

    public GetTemplateDetailResponse()

Method Detail

### getTemplateId

    public String getTemplateId()

### setTemplateId

    public void setTemplateId(String templateId)

### getName

    public String getName()

### setName

    public void setName(String name)

### getContent

    public String getContent()

### setContent

    public void setContent(String content)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getCreateTime

    public Date getCreateTime()

### setCreateTime

    public void setCreateTime(Date createTime)

### getUpdateTime

    public Date getUpdateTime()

### setUpdateTime

    public void setUpdateTime(Date updateTime)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.